<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <include layout="@layout/top_bar" />
    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="@dimen/_130sdp"
            android:scaleType="centerCrop"
            android:src="@drawable/nav_bg"
            tools:ignore="ContentDescription" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/_10sdp"
            android:layout_marginTop="@dimen/_15sdp"
            android:layout_marginEnd="@dimen/_10sdp">


            <com.digi.soc.Controls.TextMedium
                android:id="@+id/tvTitle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:text="@string/addComplain"
                android:textColor="@color/white"
                android:textSize="@dimen/_18ssp"
                android:textStyle="bold"
                android:layout_marginStart="@dimen/_minus28sdp"
                tools:ignore="HardcodedText" />
        </LinearLayout>

    </FrameLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginStart="@dimen/_10sdp"
                android:layout_marginTop="@dimen/_50sdp"
                android:layout_marginEnd="@dimen/_10sdp"
                android:layout_weight="0.9"
                card_view:cardCornerRadius="@dimen/_5sdp"
                card_view:cardElevation="@dimen/_2sdp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="@dimen/_8sdp">

                    <RelativeLayout
                        android:id="@+id/rlImageview"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center">

                        <de.hdodenhof.circleimageview.CircleImageView
                            android:id="@+id/ivRoundImage"
                            android:layout_width="@dimen/_70sdp"
                            android:layout_height="@dimen/_70sdp"
                            android:src="@drawable/iv_user"
                            tools:ignore="ContentDescription" />

                        <ImageView
                            android:layout_width="@dimen/_25sdp"
                            android:layout_height="@dimen/_25sdp"
                            android:src="@drawable/ic_add"
                            tools:ignore="ContentDescription"
                            android:id="@+id/ivSelImage"
                            android:layout_toEndOf="@+id/ivRoundImage"
                            android:layout_alignBottom="@+id/ivRoundImage"
                            android:layout_marginStart="@dimen/_minus18sdp"
                            android:layout_marginBottom="@dimen/_5sdp"/>
                    </RelativeLayout>

                    <com.digi.soc.Controls.EditMedium
                        android:id="@+id/edtTitle"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/_8sdp"
                        android:background="@color/trans"
                        android:hint="Add Complain Title"
                        android:padding="@dimen/_5sdp"
                        android:textSize="@dimen/_17ssp"
                        tools:ignore="HardcodedText" />

                    <com.digi.soc.Controls.TextLight
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/_8sdp"
                        android:text="@string/addComplainDescription"
                        android:textSize="@dimen/_12ssp"
                        tools:ignore="HardcodedText" />

                    <com.digi.soc.Controls.EditMedium
                        android:id="@+id/edtComplainDesc"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/_8sdp"
                        android:layout_marginBottom="@dimen/_10sdp"
                        android:background="@drawable/rect_gray"
                        android:gravity="start"
                        android:inputType="textMultiLine"
                        android:minHeight="@dimen/_60sdp"
                        android:padding="@dimen/_5sdp"
                        android:textColor="@color/black" />

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/_10sdp"
                android:layout_marginTop="@dimen/_10sdp"
                android:layout_marginEnd="@dimen/_10sdp"
                android:layout_marginBottom="@dimen/_10sdp">

                <com.digi.soc.Controls.ButtonMedium
                    android:id="@+id/btnAddComplain"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/_35sdp"
                    android:layout_marginEnd="@dimen/_7sdp"
                    android:layout_weight="0.5"
                    android:background="@drawable/rect_btn_green"
                    android:text="@string/action_add"
                    android:textAllCaps="false"
                    android:textColor="@color/white"
                    android:textSize="@dimen/_14ssp"
                    tools:ignore="HardcodedText" />

                <com.digi.soc.Controls.ButtonMedium
                    android:id="@+id/btnCancel"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/_35sdp"
                    android:layout_marginStart="@dimen/_7sdp"
                    android:layout_weight="0.5"
                    android:background="@drawable/rect_btn"
                    android:text="@string/action_cancel"
                    android:textAllCaps="false"
                    android:textColor="@color/white"
                    android:textSize="@dimen/_14ssp"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</FrameLayout>